Withdrawals
Withdraw Lightning
https://api.lnmarkets.com/v3
POST
/account/withdraw/lightningPrivateInitiates a new Lightning withdrawal. The maxFees amount will be reserved from your balance to pay the routing fees. Any remains from this reserve will be available in your balance after the withdrawal is completed. Withdrawals at or above the Travel Rule threshold are rejected with a 403 TRAVEL_RULE_REQUIRED error and must be completed in the LN Markets app, where the required transfer information can be provided.
Request Body
application/jsoninvoice*stringLightning invoice. The invoice's amount must be between 1 and 10,000,000 sats.
{
"invoice": "lnbc13370n1pjufy72pp5eyxlltyeyzhvppmzqvy2np7d44xq3vpmgqj90cysznsuxzncn6vqdqqcqzzsxqyz5vqsp59auvwgxtl873ptdyv08x7vqz0hyq3ddx893ejr26zvyz4za7c3hq9qyyssq89j8u6vd84z4u7tn9azrd49nfrg6nczvv03fh0u5sk0tlw9tv05zvxdm0ggmnyscwr8k2jj7cuj0f2yeqnfu7c05vpe2rhs8j4zryecpp59v2s"
}Response
id*stringUnique identifier for the withdrawal
paymentHash*stringPayment hash of the withdrawal
amount*numberAmount of the withdrawal
maxFees*numberMaximum fees of the withdrawal
{
"id": "f8cc0da3-127b-4583-9b56-e2cc074db218",
"paymentHash": "c90dffac9920aec087620308a987cdad4c08b03b402457e09014e1c30a789e98",
"amount": 1337,
"maxFees": 2
}